aboutsummaryrefslogtreecommitdiffstats
path: root/sysconfig/network-scripts/ifup-aliases
diff options
context:
space:
mode:
Diffstat (limited to 'sysconfig/network-scripts/ifup-aliases')
-rwxr-xr-xsysconfig/network-scripts/ifup-aliases18
1 files changed, 9 insertions, 9 deletions
diff --git a/sysconfig/network-scripts/ifup-aliases b/sysconfig/network-scripts/ifup-aliases
index 1312eede..6fa71921 100755
--- a/sysconfig/network-scripts/ifup-aliases
+++ b/sysconfig/network-scripts/ifup-aliases
@@ -125,7 +125,7 @@ eval ` (
# read defaults from the parent config file
[ -f $PARENTCONFIG ] || {
- echo $"Missing config file $PARENTCONFIG." >&2
+ net_log $"Missing config file $PARENTCONFIG."
exit 1
}
eval ` (
@@ -169,7 +169,7 @@ function new_interface ()
MATCH='^[0-9A-Za-z_]*$'
if (LC_ALL=C; [[ ! "$DEVNUM" =~ $MATCH ]]); then
- echo $"error in $FILE: invalid alias number" >&2
+ net_log $"error in $FILE: invalid alias number"
return 1
fi
@@ -179,17 +179,17 @@ function new_interface ()
";
if [ -n "$ipseen" ]; then
- echo $"error in $FILE: already seen ipaddr $IPADDR in $ipseen" >&2
+ net_log $"error in $FILE: already seen ipaddr $IPADDR in $ipseen"
return 1
fi
if [ -n "$devseen" ]; then
- echo $"error in $FILE: already seen device $parent_device:$DEVNUM in $devseen" >&2
+ net_log $"error in $FILE: already seen device $parent_device:$DEVNUM in $devseen"
return 1
fi
if [ -z "$DEVICE" -o -z "$IPADDR" ]; then
- echo $"error in $FILE: didn't specify device or ipaddr" >&2
+ net_log $"error in $FILE: didn't specify device or ipaddr"
return 1
fi
@@ -256,7 +256,7 @@ function new_interface ()
setup_this=yes
fi
if [ -n "$rdev_mark" -a "$rdev_mark" != "$newmark" ]; then
- echo $"error in ifcfg-${parent_device}: files" >&2
+ net_log $"error in ifcfg-${parent_device}: files"
return 1
fi
eval " rdev_${DEVNUM}_mark=\$newmark ";
@@ -267,7 +267,7 @@ function new_interface ()
if [ -n "$rdevip" -a "$rdevip" != "${DEVNUM}" ]; then
eval " mark_remove=\$rdev_${rdevip}_mark ";
if [ -n "$mark_remove" -a "$mark_remove" != "remove" ]; then
- echo $"error in ifcfg-${parent_device}: files" >&2
+ net_log $"error in ifcfg-${parent_device}: files"
return 1
fi
if [ "$mark_remove" != "remove" ]; then
@@ -337,11 +337,11 @@ for FILE in ifcfg-${parent_device}-range* ; do
ipaddr_endnum=${IPADDR_END##*.}
if [ "${IPADDR_START%.*}" != "${IPADDR_END%.*}" ]; then
- echo $"error in $FILE: IPADDR_START and IPADDR_END don't agree" >&2; continue
+ net_log $"error in $FILE: IPADDR_START and IPADDR_END don't agree"; continue
fi
if [ $ipaddr_startnum -gt $ipaddr_endnum ]; then
- echo $"error in $FILE: IPADDR_START greater than IPADDR_END" >&2; continue
+ net_log $"error in $FILE: IPADDR_START greater than IPADDR_END"; continue
fi
ipaddr_num=$ipaddr_startnum